import { Logger, Colors } from "reg-suit-interface";
export declare type LogLevel = "verbose" | "info" | "silent";
export declare class RegLogger implements Logger {
    private _category;
    _level: LogLevel;
    constructor(_category?: string);
    setLevel(v: LogLevel): void;
    colors: Colors;
    info(msg: string): void;
    warn(msg: string): void;
    error(obj: string | Error): void;
    verbose(msg: string, ...objects: any[]): void;
    readonly _prefix: string;
}
declare const regLogger: RegLogger;
export default regLogger;
